Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.security
Class Credentials

    java.lang.Object
      org.jboss.seam.security.Credentials

All Implemented Interfaces:
  Serializable

    @Name(value="org.jboss.seam.security.credentials")
    @Scope(value=SESSION)
    @Install(precedence=0)
    @BypassInterceptors
    public class Credentials

extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`static String` | `EVENT_CREDENTIALS_UPDATED`
`static String` | `EVENT_INIT_CREDENTIALS`

Constructor Summary
`Credentials()`

Method Summary
`void` | `clear()`
`CallbackHandler` | `createCallbackHandler()` Creates a callback handler that can handle a standard username/password callback, using the username and password properties.
`String` | `getPassword()`
`String` | `getUsername()`
`void` | `invalidate()`
`boolean` | `isInitialized()`
`boolean` | `isInvalid()`
`boolean` | `isSet()`
`void` | `setInitialized(boolean initialized)`
`void` | `setPassword(String password)`
`void` | `setUsername(String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVENT_INIT_CREDENTIALS

    public static final String EVENT_INIT_CREDENTIALS

See Also:
  Constant Field Values

### EVENT_CREDENTIALS_UPDATED

    public static final String EVENT_CREDENTIALS_UPDATED

See Also:
  Constant Field Values

Constructor Detail

### Credentials

    public Credentials()

Method Detail

### isInitialized

    public boolean isInitialized()

### setInitialized

    public void setInitialized(boolean initialized)

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### isSet

    public boolean isSet()

### isInvalid

    public boolean isInvalid()

### invalidate

    public void invalidate()

### clear

    public void clear()

### createCallbackHandler

    public CallbackHandler createCallbackHandler()

  Creates a callback handler that can handle a standard username/password callback, using the username and password properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.